import * as params from '@params';

// Values injected from Hugo configuration
window.infoBeamerConfig = new Map();
window.infoBeamerConfig.set('workerBaseURL', params.workerBaseURL);

window.infoBeamerConfig.set('scheduleURL', params.scheduleURL);
window.infoBeamerConfig.set('scheduleFetchInterval', params.scheduleFetchInterval);

window.infoBeamerConfig.set('twitterURL', params.twitterURL);
window.infoBeamerConfig.set('twitterFetchInterval', params.twitterFetchInterval);

window.infoBeamerConfig.set('mastodonURL', params.mastodonURL);
window.infoBeamerConfig.set('mastodonFetchInterval', params.mastodonFetchInterval);

window.infoBeamerConfig.set('musicURL', params.musicURL);
window.infoBeamerConfig.set('musicFetchInterval', params.musicFetchInterval);

window.infoBeamerConfig.set('cmsURL', params.cmsURL);
window.infoBeamerConfig.set('cmsFetchInterval', params.cmsFetchInterval);

console.log('Info Beamer Configuration: ');
console.log(window.infoBeamerConfig);
